import { defineStore } from "pinia";

export const useRetirementDataStore = defineStore("retirement", () => {
  const statusText = (val: string, rejectText: string = "อนุมัติ") => {
    switch (val) {
      case "WAITTING":
        return "ใหม่";
      case "PENDING":
        return "รอดำเนินการ";
      case "APPROVE":
        return rejectText;
      case "REJECT":
        return `ไม่${rejectText}`;
      case "REPORT":
        return "ส่งรายชื่อไปออกคำสั่ง";
      case "WAITING":
        return "รอออกคำสั่ง";
      case "DONE":
        return "ออกคำสั่งเสร็จสิ้น";
      case "DONECANCEL":
        return "ยกเลิกการลาออกสำเร็จ";
      case "CANCEL":
        return "ยกเลิกการลาออกสำเร็จ";
      case "DONEREJECT":
        return "ออกคำสั่งยกเลิกลาออกเสร็จแล้ว";
      case "CANCELING":
        return "กำลังดำเนินการยกเลิก";
      default:
        return "-";
    }
  };

  function convertStatusText(val: string, rejectText: string = "ไม่อนุมัติ") {
    switch (val) {
      case "PENDING":
        return "รอดำเนินการ";
      case "APPROVE":
        return "อนุญาต";
      case "REJECT":
        return rejectText;
    }
  }

  return {
    statusText,
    convertStatusText,
  };
});
